searchNodes=[{"doc":"","ref":"OpenGraph.html","title":"OpenGraph","type":"module"},{"doc":"Fetch URL and parse Open Graph protocol. Returns {:ok, %OpenGraph{}} for succussful request, otherwise, returns {:error, %OpenGraph.Error{}} .","ref":"OpenGraph.html#fetch/1","title":"OpenGraph.fetch/1","type":"function"},{"doc":"Similar to fetch/1 but raises a OpenGraph.Error exception if request failed. Returns %OpenGraph{} .","ref":"OpenGraph.html#fetch!/1","title":"OpenGraph.fetch!/1","type":"function"},{"doc":"Parse Open Graph protocol. Returns %OpenGraph{} . Examples iex&gt; OpenGraph . parse ( &quot;&lt;meta property=&#39;og:title&#39; content=&#39;GitHub&#39; /&gt;&quot; ) % OpenGraph { title : &quot;GitHub&quot; }","ref":"OpenGraph.html#parse/1","title":"OpenGraph.parse/1","type":"function"},{"doc":"","ref":"OpenGraph.html#t:t/0","title":"OpenGraph.t/0","type":"type"},{"doc":"","ref":"OpenGraph.html#t:value/0","title":"OpenGraph.value/0","type":"type"},{"doc":"","ref":"OpenGraph.Error.html","title":"OpenGraph.Error","type":"exception"},{"doc":"","ref":"OpenGraph.Error.html#t:reason/0","title":"OpenGraph.Error.reason/0","type":"type"},{"doc":"","ref":"OpenGraph.Error.html#t:status_code/0","title":"OpenGraph.Error.status_code/0","type":"type"},{"doc":"","ref":"OpenGraph.Error.html#t:t/0","title":"OpenGraph.Error.t/0","type":"type"},{"doc":"ogp The Open Graph protocol library in Elixir.","ref":"readme.html","title":"ogp","type":"extras"},{"doc":"def deps do [ { :ogp , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"ogp - Installation","type":"extras"},{"doc":"I recommend to run ogp.livemd in Livebook for detail. Parse HTML iex&gt; html = &quot;&quot;&quot; &lt;meta property=&quot;og:title&quot; content=&quot;The Rock&quot; /&gt; &lt;meta property=&quot;og:type&quot; content=&quot;video.movie&quot; /&gt; &lt;meta property=&quot;og:url&quot; content=&quot;https://www.imdb.com/title/tt0117500/&quot; /&gt; &lt;meta property=&quot;og:image&quot; content=&quot;https://ia.media-imdb.com/images/rock.jpg&quot; /&gt; &lt;meta property=&quot;og:image&quot; content=&quot;https://ia.media-imdb.com/images/rock2.jpg&quot; /&gt; &lt;meta property=&quot;og:audio&quot; content=&quot;https://example.com/bond/theme.mp3&quot; /&gt; &lt;meta property=&quot;og:description&quot; content=&quot;Sean Connery found fame and fortune as the suave, sophisticated British agent, James Bond.&quot; /&gt; &lt;meta property=&quot;og:determiner&quot; content=&quot;the&quot; /&gt; &lt;meta property=&quot;og:locale&quot; content=&quot;en_GB&quot; /&gt; &lt;meta property=&quot;og:locale:alternate&quot; content=&quot;fr_FR&quot; /&gt; &lt;meta property=&quot;og:site_name&quot; content=&quot;IMDb&quot; /&gt; &lt;meta property=&quot;og:video&quot; content=&quot;https://example.com/bond/trailer.swf&quot; /&gt; &quot;&quot;&quot; iex&gt; OpenGraph . parse ( html ) % OpenGraph { audio : &quot;https://example.com/bond/theme.mp3&quot; , description : &quot;Sean Connery found fame and fortune as the \\n suave, sophisticated British agent, James Bond.&quot; , determiner : &quot;the&quot; , image : &quot;https://ia.media-imdb.com/images/rock.jpg&quot; , locale : &quot;en_GB&quot; , site_name : &quot;IMDb&quot; , title : &quot;The Rock&quot; , type : &quot;video.movie&quot; , url : &quot;https://www.imdb.com/title/tt0117500/&quot; , video : &quot;https://example.com/bond/trailer.swf&quot; } Fetch URL iex&gt; OpenGraph . fetch! ( &quot;https://github.com&quot; ) % OpenGraph { audio : nil , description : &quot;GitHub is where over 65 million developers shape the future of software, together. Contribute to the open source community, manage your Git repositories, review code like a pro, track bugs and feat...&quot; , determiner : nil , image : &quot;https://github.githubassets.com/images/modules/site/social-cards/github-social.png&quot; , locale : nil , site_name : &quot;GitHub&quot; , title : &quot;GitHub: Where the world builds software&quot; , type : &quot;object&quot; , url : &quot;https://github.com/&quot; , video : nil } Redirect is followed automatically, see the following example: iex&gt; OpenGraph . fetch! ( &quot;https://producthunt.com&quot; ) % OpenGraph { audio : nil , description : &quot;Product Hunt is a curation of the best new products, every day. Discover the latest mobile apps, websites, and technology products that everyone&#39;s talking about.&quot; , determiner : nil , image : &quot;https://ph-static.imgix.net/ph-logo-1.png&quot; , locale : &quot;en_US&quot; , site_name : &quot;Product Hunt&quot; , title : &quot; Product Hunt – The best new products in tech. &quot; , type : &quot;article&quot; , url : &quot;https://www.producthunt.com/&quot; , video : nil }","ref":"readme.html#usage","title":"ogp - Usage","type":"extras"}]